/*
 * Copyright 2012 Smallcrew, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.smallcrew.test;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpOutputMessage;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class StringHttpOutputMessage implements HttpOutputMessage {
  private final ByteArrayOutputStream stream;

  public StringHttpOutputMessage() {
    stream = new ByteArrayOutputStream();
  }

  @Override
  public OutputStream getBody() throws IOException {
    return stream;
  }

  @Override
  public HttpHeaders getHeaders() {
    throw new UnsupportedOperationException();
  }

  public String asString() {
    return new String(stream.toByteArray());
  }
}
